[@rxap/form-system](../wiki/globals) / NoopResolveMethod

# Class: NoopResolveMethod\<Value\>

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:101](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L101)

## Type Parameters

• **Value**

## Implements

- `Method`\<`ControlOption`, \{ `value`: `Value`; \}\>

## Constructors

### new NoopResolveMethod()

> **new NoopResolveMethod**\<`Value`\>(): [`NoopResolveMethod`](../wiki/Class.NoopResolveMethod)\<`Value`\>

#### Returns

[`NoopResolveMethod`](../wiki/Class.NoopResolveMethod)\<`Value`\>

## Methods

### call()

> **call**(`__namedParameters`): `Promise`\<`ControlOption`\<`any`, `string`\>\>

Defined in: [packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts:103](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/directives/autocomplete-options-from-method.directive.ts#L103)

#### Parameters

##### \_\_namedParameters

###### value

`Value`

#### Returns

`Promise`\<`ControlOption`\<`any`, `string`\>\>

#### Implementation of

`Method.call`
